[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPenHandleCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Cache descriptor for Pen Handles.

## Declaration

Source position: graphics.pp line 617

`type TPenHandleCacheDescriptor = class(TResourceCacheDescriptor)`
`public`
`ExtPen: TExtLogPen;` |  | Extended logical pen structure for the cache entry.
`Pattern: TPenPattern;` |  | The Pattern for this pen.
`end;`

## Inheritance

`TPenHandleCacheDescriptor` |  | Cache descriptor for Pen Handles.
`TResourceCacheDescriptor` |  | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items.
`TObject`